import { Component } from '@angular/core';

@Component({
  selector: 'app-header-nav',
  standalone: true,
  imports: [],
  templateUrl: './header-nav.html',
  styleUrl: './header-nav.scss'
})
export class HeaderNav {
  // 登录功能占位方法
  login() {
    console.log('登录按钮点击');
    // 实际项目中这里会触发登录流程
  }
  
  // 联系我们功能占位方法
  contact() {
    console.log('联系我们按钮点击');
    // 实际项目中这里会打开联系表单或对话框
  }
}